@keyframes modal-video {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes modal-video-inner {
  from {
    transform: translate(0, 100px);
  }
  to {
    transform: translate(0, 0);
  }
}

.modal-video {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  -webkit-backdrop-filter: blur(0.5rem);
    backdrop-filter: blur(0.4rem);
  z-index: 1000;
  cursor: pointer;
  opacity: 1;
  animation-timing-function: ease-out;
  animation-duration: 0.3s;
  animation-name: modal-video;
  -webkit-transition: opacity 0.3s ease-out;
  -moz-transition: opacity 0.3s ease-out;
  -ms-transition: opacity 0.3s ease-out;
  -o-transition: opacity 0.3s ease-out;
  transition: opacity 0.3s ease-out;
}

.modal-video-close {
  opacity: 0;
}

.modal-video-close .modal-video-movie-wrap {
  -webkit-transform: translate(0, 100px);
  -moz-transform: translate(0, 100px);
  -ms-transform: translate(0, 100px);
  -o-transform: translate(0, 100px);
  transform: translate(0, 100px);
}

.modal-video-body {
  max-width: 960px;
  width: 100vw;
  height: 100vh;
  margin: 0 auto;
  /* padding: 0 calc(25 / 375 * 100vw); */
  display: flex;
  justify-content: center;
  box-sizing: border-box;
  position: relative;
}
.modal-video-body:before {
  content: "";
  display: inline-block;
  width: calc(74 / 375 * 100vw);
  height: calc(27 / 375 * 100vw);
  background: url(../images/modal-videoClose.svg) no-repeat;
  background-size: cover;
  position: absolute;
  top: calc(23 / 375 * 100vw);
  right: 0;
}
@media (orientation: landscape) {
  .modal-video-body {
    /* max-width:100%; */
  }
  .modal-video-body:before {
    width: calc(100 / 1280 * 100vw);
    height: calc(37 / 1280 * 100vw);
    top: calc(23 / 1280 * 100vw);
  }
}

.modal-video-inner {
  /* display: flex; */
  /* justify-content: center; */
  /* align-items: center; */
  width: 100vw;
  height: 100vh;
}

@media (orientation: landscape) {
  .modal-video-inner {
    /* box-sizing: border-box; */
    /* max-width: calc(800 / 1280 * 100vw);
    padding: 0 calc(25 / 1280 * 100vw); */
  }
}

.modal-video-movie-wrap {
  width: 100vw;
  height: 100vh;
  position: relative;
  padding-bottom: 56.25%;
  background-color: #333;
  animation-timing-function: ease-out;
  animation-duration: 0.3s;
  animation-name: modal-video-inner;
  -webkit-transform: translate(0, 0);
  -moz-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  -o-transform: translate(0, 0);
  transform: translate(0, 0);
  -webkit-transition: -webkit-transform 0.3s ease-out;
  -moz-transition: -moz-transform 0.3s ease-out;
  -ms-transition: -ms-transform 0.3s ease-out;
  -o-transition: -o-transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
}

.modal-video-movie-wrap iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.modal-video-close-btn {
  position: fixed;
  z-index: 2;
  top: .2rem;
  right: 0;
  display: inline-block;
  width: 35px;
  height: 35px;
  overflow: hidden;
  border: none;
  background: transparent;
}

@media (orientation: landscape) {
  .modal-video-close-btn {
    top: 2rem;
    right: 2rem;
  }
}

.modal-video-close-btn:before {
  transform: rotate(45deg);
}

.modal-video-close-btn:after {
  transform: rotate(-45deg);
}

.modal-video-close-btn:before, .modal-video-close-btn:after {
  content: '';
  position: absolute;
  height: 4px;
  width: 100%;
  top: 50%;
  left: 0;
  margin-top: -1px;
  background: #fff;
  border-radius: 5px;
  margin-top: -6px;
}